import adb_bindings
import adb_bindings.adb
from adb_bindings.grid import Grid
from datetime import datetime, timedelta
from adb_bindings.randomize import random_sleep_between_second, random_sleep_between_millisecond, random_between

adb: adb_bindings.adb.Adb = adb_bindings.list_devices()[0]

def bank_trip():
    random_sleep_between_second(7,8)

for _ in range(100):
    # furnace
    adb.random_tap_in_area(1593,374, 1607,385)
    bank_trip()

    adb.press_space()

    random_sleep_between_second(76,77)

    # banker
    adb.random_tap_in_area(728, 753, 739, 763)
    bank_trip()
    # steel bar
    adb.random_tap_in_area(729, 518, 764, 545)
    random_sleep_between_millisecond(1200,1300)
    # x
    adb.press_escape()
    random_sleep_between_millisecond(1200,1300)